diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/post.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/post.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/post.php	2012-12-05 23:34:17.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/post.php	2013-06-21 01:02:58.000000000 -0500
***************
*** 65,79 ****
  		}
  	}
  
! 	if ( ! $update && isset( $post_data['user_ID'] ) && ( $post_data['post_author'] != $post_data['user_ID'] )
  		 && ! current_user_can( $ptype->cap->edit_others_posts ) ) {
! 
! 		if ( 'page' == $post_data['post_type'] )
! 			return new WP_Error( 'edit_others_pages', __( 'You are not allowed to create pages as this user.' ) );
! 		else
! 			return new WP_Error( 'edit_others_posts', __( 'You are not allowed to create posts as this user.' ) );
  	}
  
  	// What to do based on which button they pressed
  	if ( isset($post_data['saveasdraft']) && '' != $post_data['saveasdraft'] )
  		$post_data['post_status'] = 'draft';
--- 65,88 ----
  		}
  	}
  
! 	if ( isset( $post_data['user_ID'] ) && ( $post_data['post_author'] != $post_data['user_ID'] )
  		 && ! current_user_can( $ptype->cap->edit_others_posts ) ) {
! 		if ( $update ) {
! 			if ( 'page' == $post_data['post_type'] )
! 				return new WP_Error( 'edit_others_pages', __( 'You are not allowed to edit pages as this user.' ) );
! 			else
! 				return new WP_Error( 'edit_others_posts', __( 'You are not allowed to edit posts as this user.' ) );
! 		} else {
! 			if ( 'page' == $post_data['post_type'] )
! 				return new WP_Error( 'edit_others_pages', __( 'You are not allowed to create pages as this user.' ) );
! 			else
! 				return new WP_Error( 'edit_others_posts', __( 'You are not allowed to create posts as this user.' ) );
! 		}
  	}
  
+ 	if ( ! empty( $post_data['post_status'] ) )
+ 		$post_data['post_status'] = sanitize_key( $post_data['post_status'] );
+ 
  	// What to do based on which button they pressed
  	if ( isset($post_data['saveasdraft']) && '' != $post_data['saveasdraft'] )
  		$post_data['post_status'] = 'draft';
***************
*** 92,101 ****
  		$post_id = false;
  	$previous_status = $post_id ? get_post_field( 'post_status', $post_id ) : false;
  
  	// Posts 'submitted for approval' present are submitted to $_POST the same as if they were being published.
  	// Change status from 'publish' to 'pending' if user lacks permissions to publish or to resave published posts.
! 	if ( isset($post_data['post_status']) && ('publish' == $post_data['post_status'] && !current_user_can( $ptype->cap->publish_posts )) )
! 		if ( $previous_status != 'publish' || !current_user_can( 'edit_post', $post_id ) )
  			$post_data['post_status'] = 'pending';
  
  	if ( ! isset($post_data['post_status']) )
--- 101,112 ----
  		$post_id = false;
  	$previous_status = $post_id ? get_post_field( 'post_status', $post_id ) : false;
  
+ 	$published_statuses = array( 'publish', 'future' );
+ 
  	// Posts 'submitted for approval' present are submitted to $_POST the same as if they were being published.
  	// Change status from 'publish' to 'pending' if user lacks permissions to publish or to resave published posts.
! 	if ( isset($post_data['post_status']) && (in_array( $post_data['post_status'], $published_statuses ) && !current_user_can( $ptype->cap->publish_posts )) )
! 		if ( ! in_array( $previous_status, $published_statuses ) || !current_user_can( 'edit_post', $post_id ) )
  			$post_data['post_status'] = 'pending';
  
  	if ( ! isset($post_data['post_status']) )
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/schema.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/schema.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/schema.php	2012-10-25 15:18:24.000000000 -0500
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/schema.php	2013-06-19 03:08:04.000000000 -0500
***************
*** 536,542 ****
  		'can_compress_scripts', 'page_uris', 'update_core', 'update_plugins', 'update_themes', 'doing_cron',
  		'random_seed', 'rss_excerpt_length', 'secret', 'use_linksupdate', 'default_comment_status_page',
  		'wporg_popular_tags', 'what_to_show', 'rss_language', 'language', 'enable_xmlrpc', 'enable_app',
! 		'autoembed_urls', 'default_post_edit_rows',
  	);
  	foreach ( $unusedoptions as $option )
  		delete_option($option);
--- 536,542 ----
  		'can_compress_scripts', 'page_uris', 'update_core', 'update_plugins', 'update_themes', 'doing_cron',
  		'random_seed', 'rss_excerpt_length', 'secret', 'use_linksupdate', 'default_comment_status_page',
  		'wporg_popular_tags', 'what_to_show', 'rss_language', 'language', 'enable_xmlrpc', 'enable_app',
! 		'embed_autourls', 'default_post_edit_rows',
  	);
  	foreach ( $unusedoptions as $option )
  		delete_option($option);
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/update-core.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/update-core.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/update-core.php	2013-01-22 10:52:15.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/update-core.php	2013-06-21 04:29:58.000000000 -0500
***************
*** 536,541 ****
--- 536,543 ----
  'wp-includes/js/jquery/ui/jquery.effects.transfer.min.js',
  'wp-includes/js/jquery/ui/jquery.effects.fold.min.js',
  'wp-admin/options-privacy.php',
+ // 3.5.2
+ 'wp-includes/js/swfupload/swfupload-all.js',
  );
  
  /**
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/upgrade.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/upgrade.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/includes/upgrade.php	2012-11-28 18:37:30.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/includes/upgrade.php	2013-06-19 17:12:36.000000000 -0500
***************
*** 1277,1282 ****
--- 1277,1292 ----
  	// 3.5
  	if ( $wp_current_db_version < 21823 )
  		update_site_option( 'ms_files_rewriting', '1' );
+ 
+ 	// 3.5.2
+ 	if ( $wp_current_db_version < 22442 ) {
+ 		$illegal_names = get_site_option( 'illegal_names' );
+ 		if ( is_array( $illegal_names ) && count( $illegal_names ) === 1 ) {
+ 			$illegal_name = reset( $illegal_names );
+ 			$illegal_names = explode( ' ', $illegal_name );
+ 			update_site_option( 'illegal_names', $illegal_names );
+ 		}
+ 	}
  }
  
  // The functions we use to actually do stuff
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/update.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/update.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-admin/update.php	2012-11-07 13:37:54.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-admin/update.php	2013-06-21 00:55:56.000000000 -0500
***************
*** 57,63 ****
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  		$nonce = 'upgrade-plugin_' . $plugin;
! 		$url = 'update.php?action=upgrade-plugin&plugin=' . $plugin;
  
  		$upgrader = new Plugin_Upgrader( new Plugin_Upgrader_Skin( compact('title', 'nonce', 'url', 'plugin') ) );
  		$upgrader->upgrade($plugin);
--- 57,63 ----
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  		$nonce = 'upgrade-plugin_' . $plugin;
! 		$url = 'update.php?action=upgrade-plugin&plugin=' . urlencode( $plugin );
  
  		$upgrader = new Plugin_Upgrader( new Plugin_Upgrader_Skin( compact('title', 'nonce', 'url', 'plugin') ) );
  		$upgrader->upgrade($plugin);
***************
*** 70,78 ****
  
  		check_admin_referer('activate-plugin_' . $plugin);
  		if ( ! isset($_GET['failure']) && ! isset($_GET['success']) ) {
! 			wp_redirect( admin_url('update.php?action=activate-plugin&failure=true&plugin=' . $plugin . '&_wpnonce=' . $_GET['_wpnonce']) );
  			activate_plugin( $plugin, '', ! empty( $_GET['networkwide'] ), true );
! 			wp_redirect( admin_url('update.php?action=activate-plugin&success=true&plugin=' . $plugin . '&_wpnonce=' . $_GET['_wpnonce']) );
  			die();
  		}
  		iframe_header( __('Plugin Reactivation'), true );
--- 70,78 ----
  
  		check_admin_referer('activate-plugin_' . $plugin);
  		if ( ! isset($_GET['failure']) && ! isset($_GET['success']) ) {
! 			wp_redirect( admin_url('update.php?action=activate-plugin&failure=true&plugin=' . urlencode( $plugin ) . '&_wpnonce=' . $_GET['_wpnonce']) );
  			activate_plugin( $plugin, '', ! empty( $_GET['networkwide'] ), true );
! 			wp_redirect( admin_url('update.php?action=activate-plugin&success=true&plugin=' . urlencode( $plugin ) . '&_wpnonce=' . $_GET['_wpnonce']) );
  			die();
  		}
  		iframe_header( __('Plugin Reactivation'), true );
***************
*** 107,113 ****
  
  		$title = sprintf( __('Installing Plugin: %s'), $api->name . ' ' . $api->version );
  		$nonce = 'install-plugin_' . $plugin;
! 		$url = 'update.php?action=install-plugin&plugin=' . $plugin;
  		if ( isset($_GET['from']) )
  			$url .= '&from=' . urlencode(stripslashes($_GET['from']));
  
--- 107,113 ----
  
  		$title = sprintf( __('Installing Plugin: %s'), $api->name . ' ' . $api->version );
  		$nonce = 'install-plugin_' . $plugin;
! 		$url = 'update.php?action=install-plugin&plugin=' . urlencode( $plugin );
  		if ( isset($_GET['from']) )
  			$url .= '&from=' . urlencode(stripslashes($_GET['from']));
  
***************
*** 132,138 ****
  		$submenu_file = 'plugin-install.php';
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
! 		$title = sprintf( __('Installing Plugin from uploaded file: %s'), basename( $file_upload->filename ) );
  		$nonce = 'plugin-upload';
  		$url = add_query_arg(array('package' => $file_upload->id), 'update.php?action=upload-plugin');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
--- 132,138 ----
  		$submenu_file = 'plugin-install.php';
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
! 		$title = sprintf( __('Installing Plugin from uploaded file: %s'), esc_html( basename( $file_upload->filename ) ) );
  		$nonce = 'plugin-upload';
  		$url = add_query_arg(array('package' => $file_upload->id), 'update.php?action=upload-plugin');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
***************
*** 160,166 ****
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  		$nonce = 'upgrade-theme_' . $theme;
! 		$url = 'update.php?action=upgrade-theme&theme=' . $theme;
  
  		$upgrader = new Theme_Upgrader( new Theme_Upgrader_Skin( compact('title', 'nonce', 'url', 'theme') ) );
  		$upgrader->upgrade($theme);
--- 160,166 ----
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
  		$nonce = 'upgrade-theme_' . $theme;
! 		$url = 'update.php?action=upgrade-theme&theme=' . urlencode( $theme );
  
  		$upgrader = new Theme_Upgrader( new Theme_Upgrader_Skin( compact('title', 'nonce', 'url', 'theme') ) );
  		$upgrader->upgrade($theme);
***************
*** 213,219 ****
  
  		$title = sprintf( __('Installing Theme: %s'), $api->name . ' ' . $api->version );
  		$nonce = 'install-theme_' . $theme;
! 		$url = 'update.php?action=install-theme&theme=' . $theme;
  		$type = 'web'; //Install theme type, From Web or an Upload.
  
  		$upgrader = new Theme_Upgrader( new Theme_Installer_Skin( compact('title', 'url', 'nonce', 'plugin', 'api') ) );
--- 213,219 ----
  
  		$title = sprintf( __('Installing Theme: %s'), $api->name . ' ' . $api->version );
  		$nonce = 'install-theme_' . $theme;
! 		$url = 'update.php?action=install-theme&theme=' . urlencode( $theme );
  		$type = 'web'; //Install theme type, From Web or an Upload.
  
  		$upgrader = new Theme_Upgrader( new Theme_Installer_Skin( compact('title', 'url', 'nonce', 'plugin', 'api') ) );
***************
*** 238,244 ****
  
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
! 		$title = sprintf( __('Installing Theme from uploaded file: %s'), basename( $file_upload->filename ) );
  		$nonce = 'theme-upload';
  		$url = add_query_arg(array('package' => $file_upload->id), 'update.php?action=upload-theme');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
--- 238,244 ----
  
  		require_once(ABSPATH . 'wp-admin/admin-header.php');
  
! 		$title = sprintf( __('Installing Theme from uploaded file: %s'), esc_html( basename( $file_upload->filename ) ) );
  		$nonce = 'theme-upload';
  		$url = add_query_arg(array('package' => $file_upload->id), 'update.php?action=upload-theme');
  		$type = 'upload'; //Install plugin type, From Web or an Upload.
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/akismet.js /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/plugins/akismet/akismet.js
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/akismet.js	2012-12-13 08:58:11.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/plugins/akismet/akismet.js	2013-05-18 18:14:37.000000000 -0500
***************
*** 1,4 ****
--- 1,16 ----
  jQuery(document).ready(function () {
+ 	jQuery( '.switch-have-key' ).click( function() {
+ 		var no_key = jQuery( this ).parents().find('div.no-key');		
+ 		var have_key = jQuery( this ).parents().find('div.have-key');
+ 		
+ 		no_key.addClass( 'hidden' );
+ 		have_key.removeClass( 'hidden' );		
+ 		
+ 		return false;
+ 	});
+ 	jQuery( 'p.need-key a' ).click( function(){
+ 		document.akismet_activate.submit();
+ 	});
  	jQuery('.akismet-status').each(function () {
  		var thisId = jQuery(this).attr('commentid');
  		jQuery(this).prependTo('#comment-' + thisId + ' .column-comment div:first-child');
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/akismet.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/plugins/akismet/akismet.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/akismet.php	2012-12-13 15:08:41.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/plugins/akismet/akismet.php	2013-06-19 21:41:15.000000000 -0500
***************
*** 6,12 ****
  Plugin Name: Akismet
  Plugin URI: http://akismet.com/?return=true
  Description: Used by millions, Akismet is quite possibly the best way in the world to <strong>protect your blog from comment and trackback spam</strong>. It keeps your site protected from spam even while you sleep. To get started: 1) Click the "Activate" link to the left of this description, 2) <a href="http://akismet.com/get/?return=true">Sign up for an Akismet API key</a>, and 3) Go to your Akismet configuration page, and save your API key.
! Version: 2.5.7
  Author: Automattic
  Author URI: http://automattic.com/wordpress-plugins/
  License: GPLv2 or later
--- 6,12 ----
  Plugin Name: Akismet
  Plugin URI: http://akismet.com/?return=true
  Description: Used by millions, Akismet is quite possibly the best way in the world to <strong>protect your blog from comment and trackback spam</strong>. It keeps your site protected from spam even while you sleep. To get started: 1) Click the "Activate" link to the left of this description, 2) <a href="http://akismet.com/get/?return=true">Sign up for an Akismet API key</a>, and 3) Go to your Akismet configuration page, and save your API key.
! Version: 2.5.8
  Author: Automattic
  Author URI: http://automattic.com/wordpress-plugins/
  License: GPLv2 or later
***************
*** 34,40 ****
  	exit;
  }
  
! define('AKISMET_VERSION', '2.5.7');
  define('AKISMET_PLUGIN_URL', plugin_dir_url( __FILE__ ));
  
  /** If you hardcode a WP.com API key here, all key config screens will be hidden */
--- 34,40 ----
  	exit;
  }
  
! define('AKISMET_VERSION', '2.5.8');
  define('AKISMET_PLUGIN_URL', plugin_dir_url( __FILE__ ));
  
  /** If you hardcode a WP.com API key here, all key config screens will be hidden */
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/.htaccess /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/plugins/akismet/.htaccess
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-content/plugins/akismet/.htaccess	2012-12-12 23:48:36.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-content/plugins/akismet/.htaccess	2013-05-18 18:14:37.000000000 -0500
***************
*** 3,6 ****
--- 3,11 ----
  
  <FilesMatch "^akismet\.(css|js)$">
  	Allow from all
+ </FilesMatch>
+ 
+ #allow access to any image
+ <FilesMatch "^(.+)\.(png|gif)$">
+ 	Allow from all
  </FilesMatch>
\ No newline at end of file
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-feed.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-feed.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-feed.php	2012-11-22 01:23:43.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-feed.php	2013-06-21 01:12:17.000000000 -0500
***************
*** 66,72 ****
  		$this->method = SIMPLEPIE_FILE_SOURCE_REMOTE;
  
  		if ( preg_match('/^http(s)?:\/\//i', $url) ) {
! 			$args = array( 'timeout' => $this->timeout, 'redirection' => $this->redirects);
  
  			if ( !empty($this->headers) )
  				$args['headers'] = $this->headers;
--- 66,76 ----
  		$this->method = SIMPLEPIE_FILE_SOURCE_REMOTE;
  
  		if ( preg_match('/^http(s)?:\/\//i', $url) ) {
! 			$args = array(
! 				'timeout' => $this->timeout,
! 				'redirection' => $this->redirects,
! 				'reject_unsafe_urls' => true,
! 			);
  
  			if ( !empty($this->headers) )
  				$args['headers'] = $this->headers;
***************
*** 85,94 ****
  				$this->status_code = wp_remote_retrieve_response_code( $res );
  			}
  		} else {
! 			if ( ! file_exists($url) || ( ! $this->body = file_get_contents($url) ) ) {
! 				$this->error = 'file_get_contents could not read the file';
! 				$this->success = false;
! 			}
  		}
  	}
  }
--- 89,96 ----
  				$this->status_code = wp_remote_retrieve_response_code( $res );
  			}
  		} else {
! 			$this->error = '';
! 			$this->success = false;
  		}
  	}
  }
diff -crBPN --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=wp-config.php --exclude=wordpress.sql --exclude=.htaccess-dist --exclude=wp-cache-config.php --exclude=editor_plugin.js --exclude=jetpack --exclude=.files.list --exclude=wordpress-3.5.2.pl /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-http.php /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-http.php
*** /home/packages/code/qi/SOURCES/wordpress-3.5.1/wp-includes/class-http.php	2013-01-03 00:24:01.000000000 -0600
--- /home/packages/code/qi/SOURCES/wordpress-3.5.2/wp-includes/class-http.php	2013-06-21 14:32:36.000000000 -0500
***************
*** 86,92 ****
  			'timeout' => apply_filters( 'http_request_timeout', 5),
  			'redirection' => apply_filters( 'http_request_redirection_count', 5),
  			'httpversion' => apply_filters( 'http_request_version', '1.0'),
! 			'user-agent' => apply_filters( 'http_headers_useragent', 'WordPress/' . $wp_version . '; ' . get_bloginfo( 'url' )  ),
  			'blocking' => true,
  			'headers' => array(),
  			'cookies' => array(),
--- 86,93 ----
  			'timeout' => apply_filters( 'http_request_timeout', 5),
  			'redirection' => apply_filters( 'http_request_redirection_count', 5),
  			'httpversion' => apply_filters( 'http_request_version', '1.0'),
! 			'user-agent' => apply_filters( 'http_headers_useragent', 'WordPress/' . $wp_version . '; ' . get_bloginfo( 'url' ) ),
! 			'reject_unsafe_urls' => apply_filters( 'http_request_reject_unsafe_urls', false ),
  			'blocking' => true,
  			'headers' => array(),
  			'cookies' => array(),
***************
*** 108,122 ****
  		$r = wp_parse_args( $args, $defaults );
  		$r = apply_filters( 'http_request_args', $r, $url );
  
! 		// Certain classes decrement this, store a copy of the original value for loop purposes.
! 		$r['_redirection'] = $r['redirection'];
  
  		// Allow plugins to short-circuit the request
  		$pre = apply_filters( 'pre_http_request', false, $r, $url );
  		if ( false !== $pre )
  			return $pre;
  
! 		$arrURL = parse_url( $url );
  
  		if ( empty( $url ) || empty( $arrURL['scheme'] ) )
  			return new WP_Error('http_request_failed', __('A valid URL was not provided.'));
--- 109,129 ----
  		$r = wp_parse_args( $args, $defaults );
  		$r = apply_filters( 'http_request_args', $r, $url );
  
! 		// The transports decrement this, store a copy of the original value for loop purposes.
! 		if ( ! isset( $r['_redirection'] ) )
! 			$r['_redirection'] = $r['redirection'];
  
  		// Allow plugins to short-circuit the request
  		$pre = apply_filters( 'pre_http_request', false, $r, $url );
  		if ( false !== $pre )
  			return $pre;
  
! 		if ( $r['reject_unsafe_urls'] )
! 			$url = wp_http_validate_url( $url );
! 		if ( function_exists( 'wp_kses_bad_protocol' ) )
! 			$url = wp_kses_bad_protocol( $url, array( 'http', 'https', 'ssl' ) );
! 
! 		$arrURL = @parse_url( $url );
  
  		if ( empty( $url ) || empty( $arrURL['scheme'] ) )
  			return new WP_Error('http_request_failed', __('A valid URL was not provided.'));
***************
*** 777,783 ****
  		// If location is found, then assume redirect and redirect to location.
  		if ( isset($arrHeaders['headers']['location']) && 0 !== $r['_redirection'] ) {
  			if ( $r['redirection']-- > 0 ) {
! 				return $this->request( WP_HTTP::make_absolute_url( $arrHeaders['headers']['location'], $url ), $r);
  			} else {
  				return new WP_Error('http_request_failed', __('Too many redirects.'));
  			}
--- 784,790 ----
  		// If location is found, then assume redirect and redirect to location.
  		if ( isset($arrHeaders['headers']['location']) && 0 !== $r['_redirection'] ) {
  			if ( $r['redirection']-- > 0 ) {
! 				return wp_remote_request( WP_HTTP::make_absolute_url( $arrHeaders['headers']['location'], $url ), $r);
  			} else {
  				return new WP_Error('http_request_failed', __('Too many redirects.'));
  			}
***************
*** 887,893 ****
  			array(
  				'method' => strtoupper($r['method']),
  				'user_agent' => $r['user-agent'],
! 				'max_redirects' => $r['redirection'] + 1, // See #11557
  				'protocol_version' => (float) $r['httpversion'],
  				'header' => $strHeaders,
  				'ignore_errors' => true, // Return non-200 requests.
--- 894,901 ----
  			array(
  				'method' => strtoupper($r['method']),
  				'user_agent' => $r['user-agent'],
! 				'max_redirects' => 0, // Follow no redirects
! 				'follow_redirects' => false,
  				'protocol_version' => (float) $r['httpversion'],
  				'header' => $strHeaders,
  				'ignore_errors' => true, // Return non-200 requests.
***************
*** 960,969 ****
  		else
  			$processedHeaders = WP_Http::processHeaders($meta['wrapper_data']);
  
! 		// Streams does not provide an error code which we can use to see why the request stream stopped.
! 		// We can however test to see if a location header is present and return based on that.
! 		if ( isset($processedHeaders['headers']['location']) && 0 !== $args['_redirection'] )
! 			return new WP_Error('http_request_failed', __('Too many redirects.'));
  
  		if ( ! empty( $strResponse ) && isset( $processedHeaders['headers']['transfer-encoding'] ) && 'chunked' == $processedHeaders['headers']['transfer-encoding'] )
  			$strResponse = WP_Http::chunkTransferDecode($strResponse);
--- 968,980 ----
  		else
  			$processedHeaders = WP_Http::processHeaders($meta['wrapper_data']);
  
! 		if ( ! empty( $processedHeaders['headers']['location'] ) && 0 !== $r['_redirection'] ) { // _redirection: The requested number of redirections
! 			if ( $r['redirection']-- > 0 ) {
! 				return wp_remote_request( WP_HTTP::make_absolute_url( $processedHeaders['headers']['location'], $url ), $r );
! 			} else {
! 				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
! 			}
! 		}
  
  		if ( ! empty( $strResponse ) && isset( $processedHeaders['headers']['transfer-encoding'] ) && 'chunked' == $processedHeaders['headers']['transfer-encoding'] )
  			$strResponse = WP_Http::chunkTransferDecode($strResponse);
***************
*** 1088,1093 ****
--- 1099,1106 ----
  		// The option doesn't work with safe mode or when open_basedir is set, and there's a
  		// bug #17490 with redirected POST requests, so handle redirections outside Curl.
  		curl_setopt( $handle, CURLOPT_FOLLOWLOCATION, false );
+ 		if ( defined( 'CURLOPT_PROTOCOLS' ) ) // PHP 5.2.10 / cURL 7.19.4
+ 			curl_setopt( $handle, CURLOPT_PROTOCOLS, CURLPROTO_HTTP | CURLPROTO_HTTPS );
  
  		switch ( $r['method'] ) {
  			case 'HEAD':
***************
*** 1178,1184 ****
  		// See #11305 - When running under safe mode, redirection is disabled above. Handle it manually.
  		if ( ! empty( $theHeaders['headers']['location'] ) && 0 !== $r['_redirection'] ) { // _redirection: The requested number of redirections
  			if ( $r['redirection']-- > 0 ) {
! 				return $this->request( WP_HTTP::make_absolute_url( $theHeaders['headers']['location'], $url ), $r );
  			} else {
  				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
  			}
--- 1191,1197 ----
  		// See #11305 - When running under safe mode, redirection is disabled above. Handle it manually.
  		if ( ! empty( $theHeaders['headers']['location'] ) && 0 !== $r['_redirection'] ) { // _redirection: The requested number of redirections
  			if ( $r['redirection']-- > 0 ) {
! 				return wp_remote_request( WP_HTTP::make_absolute_url( $theHeaders['headers']['location'], $url ), $r );
  			} else {
  				return new WP_Error( 'http_request_failed', __( 'Too many redirects.' ) );
  			}
